$ErrorActionPreference = 'Stop';

$packageName= 'vivaldi'

$packageArgs = @{
    packageName    = $packageName
    fileType       = 'exe'

    url            = 'https://downloads.vivaldi.com/snapshot-auto/Vivaldi.5.0.2497.25.exe'
    silentArgs     = '--vivaldi-install-dir=$($env:ProgramFiles)\Vivaldi --vivaldi-silent --do-not-launch-chrome --vivaldi-update --system-level'
    
    checksum       = '848B703F5985CDA473A964837CC9DBC84C27091C02ECD65AE394606F2BFBF21B'
    checksumType   = 'sha256'
    url64bit       = 'https://downloads.vivaldi.com/snapshot-auto/Vivaldi.5.0.2497.25.x64.exe'
    checksum64     = '762B2D01BA5570F66F596B5F5DBAAF52ECA450F1BCD6B2EA63B96EB5F397C898'
    checksumType64 = 'sha256'
}

Install-ChocolateyPackage @packageArgs
